Apps/Master/urls.py
from django.urls import path
from . import views
from django.contrib.auth.decorators import login_required

#url pattern

urlpatterns = [
    path('', views.Home.as_view(), name='home'),
    path('dashboard', login_required(views.Dashboard.as_view()), name='dashboard'),
    path('servives', login_required(views.Servives.as_view()), name='servives'),
    path('create-servives', login_required(views.CreateServives.as_view()), name='create_servives'),
    path('packages-list', login_required(views.Packages.as_view()), name='packages'),
    path('packages-create', login_required(views.PackageMasterCreate.as_view()), name='create_packages'),
    path('customers', login_required(views.Customers.as_view()), name='customers'),
    path('beautician', login_required(views.Beautician.as_view()), name='beautician'),
    path('create-beautician', login_required(views.CreateBeautician.as_view()), name='create_beautician'),
    path('review', login_required(views.Review.as_view()), name='review'),
    path('category', login_required(views.Category.as_view()), name='category'),
    path('servives/<str:service_type>', views.WebServives.as_view(), name='web_servives'),
]

qickshop/urls.py
from django.contrib import admin
from django.urls import path, include
from django.conf import settings
from django.conf.urls.static import static

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include("Apps.Master.urls")),
    path('accounts/', include("Apps.Auth.urls")),
    path('', include("Apps.Bookings.urls")),
    path('', include("Apps.Payment.urls")),
]

if settings.DEBUG:
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)

Apps/Master/models.py
from django.db import models
from Apps.Auth.models import SoftDeleteModel
from django.contrib.auth import get_user_model

# from django.utils.translation import ugettext as _
User = get_user_model()

# ----------------------models starts------------------------


class SalonMaster(SoftDeleteModel):
    salon_name = models.CharField(max_length=100, null=True, blank=True)
    description = models.TextField(null=True, blank=True)
    own_by = models.ForeignKey(User, on_delete=models.SET_NULL,
                               null=True, blank=True,
                             related_name='own_by')
    salon_logo = models.ImageField(upload_to='SalonProfile/', null=True, blank=True)
    address_line1 = models.CharField(max_length=250, null=True)
    address_line2 = models.CharField(max_length=250, null=True)
    address_city = models.CharField(max_length=200, null=True)
    address_state = models.CharField(max_length=200, null=True)

    class Meta:
        verbose_name = "Salon Master"
        db_table = "SalonMaster"

    def __str__(self):
        return self.salon_name


class BeauticianProfile(SoftDeleteModel):
    salon = models.ForeignKey(
        SalonMaster, on_delete=models.PROTECT, null=True, blank=True)
    beautician = models.ForeignKey(
        User, on_delete=models.PROTECT, null=True, blank=True)
    aadhar_card = models.ImageField(
        upload_to="aadhar_card/", null=True, blank=True)
    pan_card = models.ImageField(upload_to="pan_card/", null=True, blank=True)
    is_verified = models.BooleanField(default=False)
    verified_by = models.ForeignKey(
        User, related_name='user_verified', on_delete=models.PROTECT, null=True, blank=True)
    last_verified_on = models.DateField(
        auto_now_add=False, null=True, blank=True)
    verification_valid_till = models.DateField(
        auto_now_add=False, null=True, blank=True)
    total_bookings = models.CharField(max_length=100, null=True, blank=True)
    average_ratings = models.CharField(max_length=100, null=True, blank=True)
    available = models.BooleanField(default=False)

    class Meta:
        verbose_name = "Beautician Profile"
        db_table = "BeauticianProfile"

    def __int__(self):
        return self.beautician


class CategoryMaster(SoftDeleteModel):
    salon = models.ForeignKey(
        SalonMaster, on_delete=models.PROTECT, null=True, blank=True)
    name = models.CharField(max_length=100, null=True, blank=True)
    parent_category = models.IntegerField(null=True, blank=True)
    description = models.CharField(max_length=200, null=True, blank=True)

    class Meta:
        verbose_name = "Category Master"
        db_table = "CategoryMaster"

    def __str__(self):
        return self.name


class ServicesMaster(SoftDeleteModel):
    salon = models.ForeignKey(
        SalonMaster, on_delete=models.PROTECT, null=True, blank=True)
    image = models.ImageField(
        upload_to="service_image/", null=True, blank=True)
    name = models.CharField(max_length=100, null=True, blank=True)
    discount = models.CharField(max_length=100, null=True, blank=True)
    category = models.ForeignKey(
        CategoryMaster, on_delete=models.PROTECT, null=True, blank=True)
    price = models.CharField(max_length=100, null=True, blank=True)
    description = models.CharField(max_length=300, null=True, blank=True)
    aproximate_time = models.CharField(
        max_length=80, null=True, blank=True, default=0)

    class Meta:
        verbose_name = "Services Master"
        db_table = "ServicesMaster"

    def __str__(self):
        return self.name


class PackageMaster(SoftDeleteModel):
    salon = models.ForeignKey(
        SalonMaster, on_delete=models.PROTECT, null=True, blank=True)
    image = models.ImageField(
        upload_to="package_image/", null=True, blank=True)
    services = models.ManyToManyField(ServicesMaster)
    package_name = models.CharField(max_length=100, null=True, blank=True)
    price = models.CharField(max_length=100, null=True, blank=True)
    discount = models.CharField(max_length=100, null=True, blank=True)
    beautician = models.ForeignKey(
        BeauticianProfile, on_delete=models.PROTECT, null=True, blank=True)
    description = models.CharField(max_length=300, null=True, blank=True)
    aproximate_time = models.CharField(
        max_length=80, null=True, blank=True, default=0)

    class Meta:
        verbose_name = "Package Master"
        db_table = "PackageMaster"

    def __str__(self):
        return self.package_name

class MobileOtp(SoftDeleteModel):    
    salon = models.ForeignKey(
        SalonMaster, on_delete=models.PROTECT, null=True, blank=True)
    mobile_no = models.CharField(max_length=10, null=True, blank=True)
    otp = models.CharField(max_length=100, null=True, blank=True)
    is_verified = models.BooleanField(default=False)
    beautician_verify = models.BooleanField(default=False)

    class Meta:
        verbose_name = "Mobile Otp"
        db_table = "mobile_otp"

Apps/Master/forms.py
from django import forms
from . import models
from Apps.Master.models import *


class SalonForm(forms.ModelForm):
    class Meta:
        model = SalonMaster
        fields = ('own_by', 'salon_name', 'description', 'salon_logo', 'address_line1','address_line2', 'address_city', 'address_state')


class BeauticianProfileForm(forms.ModelForm):
    class Meta:
        model = BeauticianProfile
        fields = ('salon', 'beautician', 'aadhar_card', 'pan_card', 'is_verified','verified_by', 
                'last_verified_on', 'verification_valid_till', 'total_bookings', 'average_ratings', 'available')


class ServicesForm(forms.ModelForm):
    class Meta:
        model = ServicesMaster
        fields = ('salon', 'name', 'image', 'discount','category','price','description','aproximate_time')


class PackageForm(forms.ModelForm):
    package_name = forms.CharField(required=True, widget=forms.TextInput(
        attrs={'placeholder': 'Package Name',"class":"form-control"}))
    price = forms.CharField(required=True, widget=forms.TextInput(
        attrs={'placeholder': 'Price',"class":"form-control"}))
    description = forms.CharField(required=False, widget=forms.Textarea(
        attrs={'rows': 4, 'cols': 40, 'placeholder': 'Description',"class":"form-control"}))
    image = forms.ImageField(required=True)
    discount = forms.CharField(required=True, label="Discount <small style='font-size: 10px'> %</small>",
                               widget=forms.TextInput(attrs={'placeholder': 'Ex: 50',"class":"form-control"}))
    services = forms.ModelMultipleChoiceField(label="All Services", queryset=ServicesMaster.objects.filter(is_active=True
                                                                                                           ), widget=forms.CheckboxSelectMultiple(attrs={'class': 'services form-control'}))
    class Meta:
        model = PackageMaster
        fields = ('salon', 'package_name', 'image', 'services','price','discount','description','aproximate_time','beautician')

Apps/Master/views.py
from http import server
from webbrowser import get
from django import views
from django.shortcuts import redirect, render
from django.views import View
from django.core.mail import send_mail
from django.conf import settings
from django.template.loader import render_to_string
from .forms import *
from .models import *
from django.views.generic import (CreateView,  TemplateView,
                                  UpdateView)
from .services import master_services

# Create your views here.

def send_email(to, ctx):
        subject = "Request From Consumer"
        message = render_to_string("email/contact_us_email.html", ctx)
        send_mail(subject, message, settings.DEFAULT_FROM_EMAIL, to, html_message=message)

class Home(View):
    template_name = 'master/home/index.html'

    def get(self, request):
        return render(request, self.template_name)
    
    def post(self, request):
        ctx={
            'name':request.POST.get('name'),
            'email':request.POST.get('email'),
            'mobile':request.POST.get('mobile'),
            'message':request.POST.get('message')
        }
        send_email((settings.DEFAULT_FROM_EMAIL,), ctx)
        return render(request, self.template_name)



class Dashboard(View):
    template_name = 'admin/dashboard.html'

    def get(self, request):
        return render(request, self.template_name)
    
    # def post(self, request):
    #     ctx={
    #         'name':request.POST.get('name'),
    #         'email':request.POST.get('email'),
    #         'mobile':request.POST.get('mobile'),
    #         'message':request.POST.get('message')
    #     }
    #     send_email((settings.DEFAULT_FROM_EMAIL,), ctx)
    #     return render(request, self.template_name)


class Servives(View):
    template_name = 'master/service/service.html'

    def get(self, request):
        return render(request, self.template_name)


class CreateServives(View):
    template_name = 'master/service/create_service.html'

    def get(self, request):
        return render(request, self.template_name)


class Packages(View):
    template_name = 'master/package/packages.html'
    form_class = PackageForm

    def get(self, request):
        return render(request, self.template_name)


class PackageMasterCreate(CreateView):
    form_class = PackageForm
    template_name = "master/package/package_create.html"

    def form_valid(self, form):
        make = form.save(commit=False)
        make.aproximate_time = self.request.POST.get('aprox_time')
        make.save()
        Servicellist = self.request.POST.getlist('services')
        price = ServicesMaster.objects.filter(pk__in=Servicellist, is_active=True, is_deleted=False)
        make.services.set(price)
        return redirect('packages')


class Customers(View):
    template_name = 'master/customer.html'

    def get(self, request):
        return render(request, self.template_name)



class Beautician(View):
    template_name = 'master/beautician/beautician.html'

    def get(self, request):
        return render(request, self.template_name)

    def post(self, request):
        return render(request, self.template_name)


class CreateBeautician(View):
    template_name = 'master/beautician/create_beautician.html'

    def get(self, request):
        return render(request, self.template_name)


class Review(View):
    template_name = 'master/review.html'

    def get(self, request):
        return render(request, self.template_name)


class Category(View):
    template_name = 'master/category.html'

    def get(self, request):
        return render(request, self.template_name)


class WebServives(View):
    template_name = 'master/service/web_services.html'

    def get(self, request, service_type):
        services = ''
        if service_type =='male-service':
            services = master_services['male']
        else:
            services = master_services[service_type]
        return render(request, self.template_name, context={"types":service_type,'services':services})

templates/master/service/create_service.html
{% extends 'base/dahsboard_base.html' %}
{% block content %}
<form method="post" class="form-compact form-bg" enctype="multipart/form-data" novalidate style="margin-bottom: 50px;">
    {% csrf_token %}
    <div class="container-fluid pt-4 px-4">
        <div class="col-sm-12 col-xl-6" style="margin: 0 auto;">
            <div class="bg-secondary rounded h-100 p-4">
                <h6 class="mb-4">Floating Label</h6>
                <div class="form-floating mb-3">
                    <input type="email" class="form-control" id="floatingInput" placeholder="name@example.com">
                    <label for="floatingInput">Email address</label>
                </div>
                <div class="form-floating mb-3">
                    <input type="password" class="form-control" id="floatingPassword" placeholder="Password">
                    <label for="floatingPassword">Password</label>
                </div>
                <div class="form-floating mb-3">
                    <select class="form-select" id="floatingSelect" aria-label="Floating label select example">
                        <option selected="">Open this select menu</option>
                        <option value="1">One</option>
                        <option value="2">Two</option>
                        <option value="3">Three</option>
                    </select>
                    <label for="floatingSelect">Works with selects</label>
                </div>
                <div class="form-floating">
                    <textarea class="form-control" placeholder="Leave a comment here" id="floatingTextarea"
                        style="height: 150px;"></textarea>
                    <label for="floatingTextarea">Comments</label>
                </div>
            </div>
        </div>
    </div>
</form>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.0.0-alpha1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-csv/0.71/jquery.csv-0.71.min.js"></script>
<script>
    $(document).ready(function () {
        $('.services').click(function () {
            var get_time = ''
            var tprice = $('#id_price').val()
            if (tprice == '') {
                var price = 0
            } else {
                var price = parseInt(tprice)
            }
            if ($('#aprox_time').val() == '') {
                var time = 0
            } else {
                old_time = $('#aprox_time').val().split(' ')
                if (old_time.length == 2) {
                    var time = parseInt(old_time[0])
                } else {
                    var time = parseInt(old_time[0])
                }
            }
            if (this.checked == true) {
                var url = '/api/master/service-price-time/' + $(this).val();
                $.ajax({
                    type: 'get',
                    url: url,
                    success: function (result) {
                        get_time = result.aproximate_time.split(' ')
                        if (get_time.length == 2) {
                            time += parseInt(get_time[0])
                        } else {
                            time += parseInt(get_time[0])
                        }
                        price += parseInt(result.price)
                        $('#aprox_time').val(String(time))
                        $('#id_price').val(price);
                    }
                });
            }
            else {
                var url = '/api/master/service-price-time/' + $(this).val();
                $.ajax({
                    type: 'get',
                    url: url,
                    success: function (result) {
                        get_time = result.aproximate_time.split(' ')
                        if (get_time.length == 2) {
                            time -= parseInt(get_time[0])
                        } else {
                            time -= parseInt(get_time[0])
                        }
                        price -= parseInt(result.price)
                        $('#aprox_time').val(String(time))
                        $('#id_price').val(price);
                    }
                });
            }
        });
    }); 
</script>
{% endblock %}

templates/master/service/service.html
{% extends 'base/dahsboard_base.html' %}
{% load static %}
{% block content %}

            <a href="{% url 'create_servives' %}" class="btn btn-success btn-rounded btn-fw" style="float:right;">Add Service</a>
            <div class="col-12">
                <div class="bg-secondary rounded h-100 p-4">
                    <h6 class="mb-4">Responsive Table</h6>
                    <div class="table-responsive">
                        <table class="table">
                            <thead>
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">First Name</th>
                                    <th scope="col">Last Name</th>
                                    <th scope="col">Email</th>
                                    <th scope="col">Country</th>
                                    <th scope="col">ZIP</th>
                                    <th scope="col">Status</th>
                                </tr>
                            </thead>
                            <tbody>
                                <tr>
                                    <th scope="row">1</th>
                                    <td>John</td>
                                    <td>Doe</td>
                                    <td>jhon@email.com</td>
                                    <td>USA</td>
                                    <td>123</td>
                                    <td>Member</td>
                                </tr>
                                <tr>
                                    <th scope="row">2</th>
                                    <td>Mark</td>
                                    <td>Otto</td>
                                    <td>mark@email.com</td>
                                    <td>UK</td>
                                    <td>456</td>
                                    <td>Member</td>
                                </tr>
                                <tr>
                                    <th scope="row">3</th>
                                    <td>Jacob</td>
                                    <td>Thornton</td>
                                    <td>jacob@email.com</td>
                                    <td>AU</td>
                                    <td>789</td>
                                    <td>Member</td>
                                </tr>
                            </tbody>
                        </table>
                    </div>
                </div>
            </div>
{% endblock %}

templates/master/service/web_services.html
{% extends 'base/base.html' %}
{% load static %}
{% block content %}

<style>
	body,
	html {
		height: 100%;
		margin: 0px auto;
		font-family: Arial, Helvetica, sans-serif;
	}

	* {
		box-sizing: border-box;
	}

	.bg-image {
		/* The image used */
		background-image: url("/static/images/salon.jpg");

		/* Add the blur effect */
		filter: blur(8px);
		-webkit-filter: blur(8px);

		/* Full height */
		height: 40%;

		/* Center and scale the image nicely */
		background-position: center;
		background-repeat: no-repeat;
		background-size: cover;
	}

	/* Position text in the middle of the page/image */
	.bg-text {
		background-color: rgb(0, 0, 0);
		/* Fallback color */
		background-color: rgba(0, 0, 0, 0.4);
		/* Black w/opacity/see-through */
		color: white;
		font-weight: bold;
		border: 3px solid #f1f1f1;
		position: absolute;
		top: 25%;
		left: 50%;
		transform: translate(-50%, -50%);
		z-index: 2;
		width: 80%;
		padding: 20px;
		text-align: center;
	}

	tr,
	td,
	h4 {
		font-weight: 800;
		font-size: 20px;
	}
</style>
{% block header %}
<div class="bg-image"></div>

<div class="bg-text">
	<!-- <h2>Blurred Background</h2> -->
	<h1 style="font-size:50px; text-transform: capitalize;">{{services.title}}</h1>
	<!-- <p>And I'm a Photographer</p> -->
</div>
{% endblock header %}
<div class="container" style="margin-top: 5%;width: 90%;">
	<div class="row">
		<div class="col-md-12">
			<div class="secHeader">

			</div>
			<div class="glView">
				<div class="imgSwitch">
					<div class="row">
						{% for item in services.items %}
						{% if item.name|length > 1 %}
						<div class="col-xs-12 col-sm-4 col-md-4">
							{% else %}
							<div class="col-xs-12 col-sm-4 col-md-12" style="text-align: center;">
								{% endif %}
								<h1>{{item.name}}</h1><br>
										{% for service in item.all_services %}
										<h4>{{service|safe}}</h4>
										{% endfor %}
								</div>
								{% endfor %}
							</div>
							<!-- <div class="loadit"><button type="button" class="btn btn-primary">Load More</button></div> -->
						</div>
					</div>
				</div>
			</div>
		</div>

		<!-- e/o section3 -->
		{% endblock %}